Subject: bug#29426: guix: "make check" test "utmpx-entries" fails

From: Adonay Felipe Nogueira <[email-masked]>
Date: Sat, 25 Nov 2017 09:30:14 -0200

I did the following:

--8<---------------cut here---------------start------------->8---
guix environment guix
./bootstrap
./configure --localstatedir="/var"
./pre-inst-env guile
--8<---------------cut here---------------end--------------->8---

And inside Guile REPL:

--8<---------------cut here---------------start------------->8---
,use (guix build syscalls)
(utmpx-entries)
--8<---------------cut here---------------end--------------->8---

And I get what is attached in "utmp-1.txt".

The same result is observed when I append `--ad-hoc guile' to `guix
environment guix' (I attempted a `diff' between the results of two
sequence of commands and it didn't report anything).

2017-11-24T21:58:36+0100 Ludovic Courtès wrote:
> Hello,
>
>
> Can you try this in a REPL?
>
> You can run:
>
>   ./pre-inst-env guile
>
> and then:
>
>   ,use (guix build syscalls)
>   (utmpx-entries)
>
> TIA!
>
> Ludo’.
>